Module ij
Package ij.plugin

# Class Animator

java.lang.Object
ij.plugin.Animator

All Implemented Interfaces:
  `PlugIn`

public class Animator extends Object implements PlugIn
This plugin animates stacks.

## Constructor Summary

Constructors
Constructor
Description
`Animator()`

## Method Summary

Modifier and Type
Method
Description
`static double`
`getFrameRate()`
Returns the current animation speed in frames per second.
`void`
`run(String arg)`
Set 'arg' to "set" to display a dialog that allows the user to specify the animation speed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Animator

public Animator()

## Method Details

### run

public void run(String arg)
Set 'arg' to "set" to display a dialog that allows the user to specify the animation speed. Set it to "start" to start animating the current stack. Set it to "stop" to stop animation. Set it to "next" or "previous" to stop any animation and display the next or previous frame.

Specified by:
  `run` in interface `PlugIn`

### getFrameRate

public static double getFrameRate()
Returns the current animation speed in frames per second.